Page MenuHomePhabricator

Make MediaWiki's info action data point IDs discoverable
Closed, DeclinedPublic

Description

We have useful HTML id=""s in the page source of MediaWiki's info action, but we currently don't expose these IDs as links in the user interface.

Example: https://en.wikipedia.org/wiki/MediaWiki?action=info#mw-pageinfo-watchers

This is similar to T78232: Make Special:Preferences preference heading IDs (for linking) discoverable.

Event Timeline

MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride changed Security from none to None.
MZMcBride added subscribers: Aklapper, MZMcBride.
Aklapper triaged this task as Lowest priority.Dec 11 2014, 1:08 PM

Change 249578 had a related patch set uploaded (by saper):
Link data points in action=info to themselves

https://gerrit.wikimedia.org/r/249578

saper claimed this task.Oct 28 2015, 9:58 PM

Change 249578 abandoned by saper:
Link data points in action=info to themselves

Reason:
There is no interest in this change at all.

https://gerrit.wikimedia.org/r/249578

saper closed this task as Declined.Nov 20 2015, 10:21 PM
saper removed a project: Patch-For-Review.
MZMcBride reopened this task as Open.Nov 21 2015, 1:53 AM

Change 249578 restored by Legoktm:
Link data points in action=info to themselves

https://gerrit.wikimedia.org/r/249578

Sorry, I'm definitely interested in this task. I've been a bit busy this week. I tried to reply to you on IRC, but obviously I wasn't very successful.

Regarding https://gerrit.wikimedia.org/r/249578, it's a little difficult for me to know exactly what this change is doing as I haven't applied to it to a real MediaWiki installation. It sounds like this change would turn all of the info data point labels into links? What would happen with Number of redirects to this page which is already a link, then?

I left this task assigned to you because that's how it was already and I didn't know whether to blank the field or add you as a task subscriber. But if you're no longer interested in this task, I understand and we can mark this task as unassigned.

Change 249578 abandoned by saper:
Link data points in action=info to themselves

Reason:
10 months have passed.

https://gerrit.wikimedia.org/r/249578

saper closed this task as Declined.Sep 18 2016, 8:04 PM
saper removed saper as the assignee of this task.
saper removed a project: Patch-For-Review.
saper added a subscriber: saper.

I came to conclusion this feature is not really needed. It is not only about lack of attention, I also think this feature is really unnecessary.